Subject: [P2PSIP] An I-D about P2PSIP client protocol, any comment is appreciated.

From: Zheng Hewen <[email-masked]>
Date: Thu, 13 Dec 2007 14:53:12 +0800

Hi,

    We extended our peer protocol (SEP: Service Extensible P2P Peer Protocol, 
http://tools.ietf.org/wg/p2psip/draft-jiang-p2psip-sep-00.txt) to implement P2PSIP client protocol 
(http://www.ietf.org/internet-drafts/draft-zheng-p2psip-client-protocol-00.txt).
    This document defines P2PSIP client protocol, one protocol for client-peer communication, which is used to create, 
implement and maintain the services between a client and its associated peer.
    This client protocol mainly two types of functions: data operation (Put, Get, Remove) and the association maintenance 
(Inquire, Join, Keep-alive, Notify, Leave). Among them, Join message is used to implement admission control, Keep-alive 
message and/or Notify message mainly are used to implement graceful switchover when a client is associated with more than one 
peer.
    Any comment is appreciated.

Best regards,
Hewen

> -----Original Message-----
> From: IETF I-D Submission Tool [mailto:[email-masked]]
> Sent: 2007Äê12ÔÂ13ÈÕ 14:40
> To: [email-masked]
> Cc: [email-masked]
> Subject: New Version Notification for
> draft-zheng-p2psip-client-protocol-00
>
>
> A new version of I-D,
> draft-zheng-p2psip-client-protocol-00.txt has been
> successfuly submitted by Hewen Zhang and posted to the IETF
> repository.
>
> Filename:	 draft-zheng-p2psip-client-protocol
> Revision:	 00
> Title:		 P2PSIP Client Protocol
> Creation_date:	 2007-12-11
> WG ID:		 Independent Submission
> Number_of_pages: 31
>
> Abstract:
> This document defines P2PSIP client protocol, one protocol
> for client-peer communication, which is used to create,
> implement and maintain the services between a client and its
> associated peer.
>
>
>
>
> The IETF Secretariat.
>
>
>

_______________________________________________
P2PSIP mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/p2psip